/* Windows builds differ from the OpenGL Programming Guide */
/*  in that they require the Windows header to be included */
/* before the OpenGL header. Also, the display function */
/*  callback must use the __stdcall convention in Windows. */
/*#ifdef WIN32
#	include <windows.h>
#	ifndef WINAPI
#		define WINAPI __stdcall
#	endif
#else
#	ifndef WINAPI
#		define WINAPI
#	endif
#endif
 WIN32
 gl.h contains the declarations for functions starting with "gl".
 glaux.h contains "aux" functions.
#include <GL/gl.h>
*/
#include <GL/glaux.h>
/* aux display callback as defined by OpenGL. */

void WINAPI displayfunc( void );

// Your display function.
void WINAPI displayfunc( void ){
	// Clear the screen to black
	glClearColor( 0.f, 0.f, 0.f, 0.f );
   glClear( GL_COLOR_BUFFER_BIT );
	// Set the current color to white
   glColor3f( 1.f, 1.f, 1.f );
	// Set the projection to ortho
   glMatrixMode( GL_PROJECTION );
	glLoadIdentity();
   glOrtho( -1.f, 1.f, -1.f, 1.f, -1.f, 1.f );
	// Draw a filled square.
   glBegin( GL_POLYGON );
   glVertex2f( -0.5f, -0.5f );
	glVertex2f( -0.5f, 0.5f );
   glVertex2f( 0.5f, 0.5f );
	glVertex2f( 0.5f, -0.5f );
   glEnd();
   // Execute all queued OpenGL commands.
	glFlush();
}






// The main function does three things:
// 1)  Sets window properties.
// 2)  Opens a window.
// 3)  Calls an aux dispatch loop that displays your scene and
//     waits for user input.



int main( int argc, char *argv[] ){
	auxInitDisplayMode( AUX_RGBA | AUX_SINGLE | AUX_DEPTH );
	auxInitPosition( 0, 0, 500, 500 );
   auxInitWindow( argv[0] );
	auxMainLoop(displayfunc);
   return 0;
}
